FD_ID(1)

NAME
fd_id - prints frames along with their names

SYNOPSIS
fd_id frame Arguments are parsed by the conventions of fdshell(7)

DESCRIPTION
fd_get prints frame to the standard output together with its name, if it has one. This is intended mostly to take the output of other commands (by specifing frame to be "-") and print it with object names

OPTIONS
fd_id is implemented as an FDScript script, so its arguments may have CONFIG bindings, as well as accepting the flags -m -c -f to load modules, configs, and scheme files, as described in fdscript(1)

CONFIG VARIABLES

%POOL
    The default pool used for creating new frames

%POOLS
    The pools used by the fdshell(7) scripts; these determine which frames are accessible to access and searching

%INDICES
    The background indices used to search for frames with particular slotid/value combinations.

%INDEX
    The foreground index used by default to store newly created frame/slotid/value combinations. Note that this is only used when indices directly associated with the frame's pool are not available or not modifiable.

BUGS
No known bugs

Revision Info
$Id: fd_id.1,v 1.2 2002/04/02 22:21:06 haase Exp $

AUTHOR
Ken Haase < kh@beingmeta.com >

SEE ALSO
framerd(7) fdshell(7)